EscalationStateChange (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.escalation.server.session.EscalationStateChange class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.escalation.server.session
Class EscalationStateChange

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.escalation.server.session.EscalationStateChange

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class EscalationStateChange

extends HypericEnum

See Also:
  Serialized Form

Field Summary
`static EscalationStateChange` | `ACKNOWLEDGED`
`static EscalationStateChange` | `CREATED`
`static EscalationStateChange` | `ESCALATED`
`static EscalationStateChange` | `FIXED`

Method Summary
`boolean` | `isAcknowledged()`
`boolean` | `isCreated()`
`boolean` | `isEscalated()`
`boolean` | `isFixed()`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CREATED

    public static final EscalationStateChange CREATED

### ACKNOWLEDGED

    public static final EscalationStateChange ACKNOWLEDGED

### FIXED

    public static final EscalationStateChange FIXED

### ESCALATED

    public static final EscalationStateChange ESCALATED

Method Detail

### isCreated

    public boolean isCreated()

### isAcknowledged

    public boolean isAcknowledged()

### isFixed

    public boolean isFixed()

### isEscalated

    public boolean isEscalated()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.